Module java.base
Package java.text

# Enum Class Normalizer.Form

java.lang.Object
java.lang.Enum<Normalizer.Form>
java.text.Normalizer.Form

All Implemented Interfaces:
  `Serializable`, `Comparable<Normalizer.Form>`, `Constable`

Enclosing class:
  `Normalizer`

public static enum Normalizer.Form extends Enum<Normalizer.Form>
This enum provides constants of the four Unicode normalization forms that are described in Unicode Standard Annex #15 — Unicode Normalization Forms and two methods to access them.

Since:
  1.6

## Nested Class Summary

## Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NFC`
Canonical decomposition, followed by canonical composition.
`NFD`
Canonical decomposition.
`NFKC`
Compatibility decomposition, followed by canonical composition.
`NFKD`
Compatibility decomposition.

## Method Summary

Modifier and Type
Method
Description
`static Normalizer.Form`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Normalizer.Form[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NFD

public static final Normalizer.Form NFD
Canonical decomposition.

### NFC

public static final Normalizer.Form NFC
Canonical decomposition, followed by canonical composition.

### NFKD

public static final Normalizer.Form NFKD
Compatibility decomposition.

### NFKC

public static final Normalizer.Form NFKC
Compatibility decomposition, followed by canonical composition.

## Method Details

### values

public static Normalizer.Form[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Normalizer.Form valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null